The plugin repository at  http://geronimo.apache.org/plugins/geronimo-2.1.5/ it seems to seems to be for 2.1.5-SNAPSHOT  so none of the plugins there are installable in 2.1.5